## org.biojava.bio.seq.db.biosql
Class BioSQLSequenceDBProvider

    java.lang.Object
      org.biojava.bio.seq.db.biosql.BioSQLSequenceDBProvider

All Implemented Interfaces:
  SequenceDBProvider

Deprecated. Use hibernate and org.biojavax.bio.db.*

    public class BioSQLSequenceDBProvider

extends java.lang.Object
implements SequenceDBProvider

Author:
  Thomas Down

Constructor Summary
`BioSQLSequenceDBProvider()` Deprecated.

Method Summary
`java.lang.String` `getName()` Deprecated. The name of this provider.
`SequenceDBLite` `getSequenceDB(java.util.Map config)` Deprecated. Get a sequence database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BioSQLSequenceDBProvider

    public BioSQLSequenceDBProvider()

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Description copied from interface: `SequenceDBProvider`
  The name of this provider.

  Specified by:
    `getName` in interface `SequenceDBProvider`
  Returns:
    the provider's name.

### getSequenceDB

    public SequenceDBLite getSequenceDB(java.util.Map config)
                                 throws RegistryException,
                                        BioException

  Deprecated.
  Description copied from interface: `SequenceDBProvider`
  Get a sequence database.

  Specified by:
    `getSequenceDB` in interface `SequenceDBProvider`
  Parameters:
    `config` - a Map containing key-value pairs identifying the database to resolve.
  Returns:
    a SequenceDBLite that was resolved.
  Throws:
    `RegistryException`
    `BioException`